---

#! /db/releases/20241219102823/lkp-src/jobs/vm-scalability-hugetlb.yaml
suite: vm-scalability
testcase: vm-scalability
category: benchmark
perf-profile:
runtime: 300s
size: 8T
vm-scalability:
  test: anon-w-seq-hugetlb
job_origin: vm-scalability-hugetlb.yaml

#! queue options
queue_cmdline_keys:
- branch
- commit
- kbuild_queue_analysis
queue: validate
testbox: lkp-icl-2sp2
tbox_group: lkp-icl-2sp2
job_file: "/lkp/jobs/scheduled/lkp-icl-2sp2/vm-scalability-performance-300s-8T-anon-w-seq-hugetlb-debian-12-x86_64-20240206.cgz-44818d6e3eb5-20241224-25662-19dnm3h-0.yaml"
id: 9d53e228d11b62de043398462318f82093288815
queuer_version: "/zday/lkp"

#! /db/releases/20241219102823/lkp-src/hosts/lkp-icl-2sp2
model: Ice Lake
nr_node: 2
nr_cpu: 128
memory: 256G
nr_ssd_partitions: 4
ssd_partitions:
- "/dev/disk/by-id/nvme-INTEL_SSDPE2KX040T7_PHLF7414019F4P0IGN-part2"
- "/dev/disk/by-id/nvme-INTEL_SSDPE2KX040T7_PHLF7414019F4P0IGN-part3"
- "/dev/disk/by-id/nvme-INTEL_SSDPE21K375GA_PHKE734100DV375AGN-part1"
- "/dev/disk/by-id/nvme-INTEL_SSDPE21K375GA_PHKE734200JC375AGN-part1"
swap_partitions:
rootfs_partition: "/dev/disk/by-id/nvme-INTEL_SSDPE2KX040T7_PHLF7414019F4P0IGN-part1"
brand: Intel(R) Xeon(R) Gold 6338 CPU @ 2.00GHz
netconsole_port: 6680
ucode: '0xd0003a5'
need_kconfig_hw:
- IXGBE: "y"

#! /db/releases/20241219102823/lkp-src/include/category/benchmark
need_kconfig:
- XFS_ONLINE_SCRUB_STATS: "n"
- XFS_DEBUG: "n"
- XFS_WARN: "y"
- PM_DEBUG: "n"
- PM_SLEEP_DEBUG: "n"
- DEBUG_ATOMIC_SLEEP: "n"
- DEBUG_SPINLOCK_SLEEP: "n"
- CIFS_DEBUG: "n"
- SCSI_DEBUG: "n"
- NFS_DEBUG: "n"
- SUNRPC_DEBUG: "n"
- DM_DEBUG: "n"
- DEBUG_SHIRQ: "n"
- OCFS2_DEBUG_MASKLOG: "n"
- DEBUG_MEMORY_INIT: "n"
- BUG_ON_DATA_CORRUPTION: "n"
- DEBUG_LIST: "n"
- DEBUG_PLIST: "n"
- EXPERT: "y"
- PREEMPT_VOLUNTARY: "y"
- PREEMPT_NONE: "n"
- PREEMPT: "n"
- PREEMPT_RT: "n"
- PREEMPT_DYNAMIC: "n"
- PREEMPT_VOLUNTARY_BEHAVIOUR: "y"
- PREEMPT_BEHAVIOUR: "n"
- PREEMPT_NONE_BEHAVIOUR: "n"
- PREEMPT_DYNAMIC: "n"
- PREEMPT_VOLUNTARY: "y"
- PREEMPT_NONE: "n"
- PREEMPT: "n"
- PREEMPT_RT: "n"
- BLK_DEV_LOOP
kmsg:
boot-time:
uptime:
iostat:
heartbeat:
vmstat:
numa-numastat:
numa-vmstat:
numa-meminfo:
proc-vmstat:
proc-stat:
meminfo:
slabinfo:
interrupts:
lock_stat:
perf-sched:
  lite_mode: 1
softirqs:
bdi_dev_mapping:
diskstats:
nfsstat:
cpuidle:
cpufreq-stats:
turbostat:
sched_debug:
perf-stat:
mpstat:
perf-c2c:

#! /db/releases/20241219102823/lkp-src/include/category/ALL
cpufreq_governor: performance
sanity-check:

#! /db/releases/20241219102823/lkp-src/programs/vm-scalability/include

#! /db/releases/20241219102823/lkp-src/include/queue/cyclic
commit: 44818d6e3eb5b6fdb4960e1b53a98b0b74fdb85a
kconfig: x86_64-rhel-9.4
enqueue_time: 2024-12-24 07:08:53.076826072 +08:00
_rt: "/result/vm-scalability/performance-300s-8T-anon-w-seq-hugetlb/lkp-icl-2sp2/debian-12-x86_64-20240206.cgz/x86_64-rhel-9.4/gcc-12/44818d6e3eb5b6fdb4960e1b53a98b0b74fdb85a"
compiler: gcc-12
head_commit: 486341d25c7adb6801c2f190403600b977e31e25
base_commit: 78d4f34e2115b517bcbfe7ec0d018bbbb6f9b0b8
branch: linux-next/master
rootfs: debian-12-x86_64-20240206.cgz

#! schedule options
user: lkp
LKP_SERVER: internal-lkp-server
scheduler_version: "/lkp/lkp/.src-20241212-153134"
arch: x86_64
max_uptime: 2100
initrd: "/osimage/debian/debian-12-x86_64-20240206.cgz"
bootloader_append:
- root=/dev/ram0
- RESULT_ROOT=/result/vm-scalability/performance-300s-8T-anon-w-seq-hugetlb/lkp-icl-2sp2/debian-12-x86_64-20240206.cgz/x86_64-rhel-9.4/gcc-12/44818d6e3eb5b6fdb4960e1b53a98b0b74fdb85a/0
- BOOT_IMAGE=/pkg/linux/x86_64-rhel-9.4/gcc-12/44818d6e3eb5b6fdb4960e1b53a98b0b74fdb85a/vmlinuz-6.13.0-rc3-00113-g44818d6e3eb5
- branch=linux-next/master
- job=/lkp/jobs/scheduled/lkp-icl-2sp2/vm-scalability-performance-300s-8T-anon-w-seq-hugetlb-debian-12-x86_64-20240206.cgz-44818d6e3eb5-20241224-25662-19dnm3h-0.yaml
- user=lkp
- ARCH=x86_64
- kconfig=x86_64-rhel-9.4
- commit=44818d6e3eb5b6fdb4960e1b53a98b0b74fdb85a
- intremap=posted_msi
- max_uptime=2100
- LKP_SERVER=internal-lkp-server
- nokaslr
- selinux=0
- debug
- apic=debug
- sysrq_always_enabled
- rcupdate.rcu_cpu_stall_timeout=100
- net.ifnames=0
- printk.devkmsg=on
- panic=-1
- softlockup_panic=1
- nmi_watchdog=panic
- oops=panic
- load_ramdisk=2
- prompt_ramdisk=0
- drbd.minor_count=8
- systemd.log_level=err
- ignore_loglevel
- console=tty0
- earlyprintk=ttyS0,115200
- console=ttyS0,115200
- vga=normal
- rw
modules_initrd: "/pkg/linux/x86_64-rhel-9.4/gcc-12/44818d6e3eb5b6fdb4960e1b53a98b0b74fdb85a/modules.cgz"
bm_initrd: "/osimage/deps/debian-12-x86_64-20240206.cgz/lkp_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/rsync-rootfs_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/run-ipconfig_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/perf_20241102.cgz,/osimage/pkg/debian-12-x86_64-20240206.cgz/perf-x86_64-11066801dd4b-1_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/vm-scalability_20241103.cgz,/osimage/pkg/debian-12-x86_64-20240206.cgz/vm-scalability-x86_64-6f4ef16-0_20241103.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/iostat_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/mpstat_20240221.cgz,/osimage/pkg/debian-12-x86_64-20240206.cgz/sar-x86_64-f3f2b1a4-1_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/hw_20241102.cgz"
ucode_initrd: "/osimage/ucode/intel-ucode-20230906.cgz"
lkp_initrd: "/osimage/user/lkp/lkp-x86_64.cgz"
site: inn

#! /db/releases/20241220201932/lkp-src/include/site/inn
LKP_CGI_PORT: 80
LKP_CIFS_PORT: 139
oom-killer:
watchdog:
job_initrd: "/lkp/jobs/scheduled/lkp-icl-2sp2/vm-scalability-performance-300s-8T-anon-w-seq-hugetlb-debian-12-x86_64-20240206.cgz-44818d6e3eb5-20241224-25662-19dnm3h-0.cgz"
last_kernel: 6.13.0-rc3-01128-g0d7336d7bf20
acpi_rsdp: '0x000f05b0'
repeat_to: 1

#! user overrides
kbuild_queue_analysis: 1
kernel: "/pkg/linux/x86_64-rhel-9.4/gcc-12/44818d6e3eb5b6fdb4960e1b53a98b0b74fdb85a/vmlinuz-6.13.0-rc3-00113-g44818d6e3eb5"
result_root: "/result/vm-scalability/performance-300s-8T-anon-w-seq-hugetlb/lkp-icl-2sp2/debian-12-x86_64-20240206.cgz/x86_64-rhel-9.4/gcc-12/44818d6e3eb5b6fdb4960e1b53a98b0b74fdb85a/0"

#! /db/releases/20241223111431/lkp-src/include/site/inn
dequeue_time: 2024-12-24 07:35:44.276353014 +08:00
job_state: finished
loadavg: 58.79 69.32 33.66 1/1209 23652
start_time: '1734997051'
end_time: '1734997356'
version: "/lkp/lkp/.src-20241212-153134:39764b117979:42c8d5d500c7"
